Bug 690 - Initscript update add "loadkeys -u ru" in /etc/rc.d/rc.local
: Initscript update add "loadkeys -u ru" in /etc/rc.d/rc.local
Status: RESOLVED WONTFIX
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Marathon
: All Linux
: Normal normal
: ---
Assigned To: Alexander Burmashev
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-22 10:07 MSD by Sylvainsjc
Modified: 2015-04-20 23:37 MSD (History)
3 users (show)

See Also:
RPM Package: initscripts
ISO-related:
Bad POT generating:
Upstream:


Attachments
changes in /etc/rc.d/rc.local (124.40 KB, image/jpeg)
2012-08-22 10:07 MSD, Sylvainsjc
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sylvainsjc 2012-08-22 10:07:09 MSD
Created attachment 491 [details]
changes in /etc/rc.d/rc.local

Description of problem:
An update today (august 22) tells me he wants to change my /etc/etc.d/rc.local to add a line "loadkeys-u ru"

I'm not Russian neither my keyboard ;-)

See attachment
Comment 1 Sylvainsjc 2012-08-22 10:08:52 MSD
The change is proposed by initscripts-9.25-12-rosa.lts2012.0
Comment 2 Pavel Shved 2012-08-22 12:48:26 MSD
(In reply to comment #0)
> I'm not Russian neither my keyboard ;-)

That's what ROSA Desktop is to fix.  Russian Communist government set us up to a mission of converting foreign nationals to Russians, and we secretly carry out it via our updates in a very cunning manner.

In reality, our build system had a small accident, and a fix to bug #70, while denied by QA, got inadvertently published in the middle of the night.  We are rolling back the change, and apologize for the inconvenience.

If you have applied the change to your config, and it caused you problems (which it should not have), please, contribute your experience to bug #70 so that we could find a better solution to it.
Comment 3 Sylvainsjc 2012-08-22 13:04:57 MSD
> If you have applied the change to your config, and it caused you problems
> (which it should not have), please, contribute your experience to bug #70 so
> that we could find a better solution to it.

It's ok for me, it was just to prevent that some users could end up with a bad keyboard layout if they don't pay attention
Comment 4 Pavel Shved 2012-08-22 20:10:18 MSD
Thanks for your warning.   The update has been removed from basic mirror.

We have also agreed on today's meeting that Russian-specific changes that non-Russian users could see will not be considered as bug resolutions.
Comment 5 Frank 2013-01-15 17:15:45 MSK
This behaviour is still there in initscripts-9.25-12.1, published as update in late December. Suddenly all my consoles had the wrong keymap, and it took me hours to sort out the problem :(
This should be fixed soon, IMHO.
Comment 6 Alexander Burmashev 2013-01-15 17:39:33 MSK
Thanks for the info, the patch was not removed and disabled from git.
I removed it and pushed the new build.
You can either install update manually from this not tested containers
i586
http://abf.rosalinux.ru/downloads/rosa2012lts/container/initscripts-897901/RPMS/
x86_64
http://abf.rosalinux.ru/downloads/rosa2012lts/container/initscripts-897902/RPMS/
or wait until update hits the repo ( may take some time ).
Comment 7 Frank 2013-01-16 19:04:55 MSK
Cool, thanks!
For me the problem was fixed by removing the line from rc.local, once the culprit was found. :) But it's good to know the problem won't reappear with further updates to initscripts...
Comment 8 Frank 2013-04-26 18:31:32 MSD
As of April 2013, the package containing this bug is still delivered, e. g. as part of the "Enterprise Desktop X1" iso. So everyone performing a clean install from this iso will have the bug "out of the box".
Maybe this _should_ be finally fixed with an official update...
Comment 9 Denis Silakov 2015-04-20 23:37:19 MSD
I'm afraid this long forgotten issue is "wontfix" for Marathon. But the coming Enterprise Desktop X2 will be free of this issue.